Package org.apache.lucene.queryparser.flexible.core

## Class QueryNodeError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.apache.lucene.queryparser.flexible.core.QueryNodeError

- All Implemented Interfaces:
    `Serializable`, `NLSException`

      public class QueryNodeError
      extends Error
      implements NLSException

  Error class with NLS support
  See Also:
    `NLS`, `Message`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryNodeError​(Throwable throwable)` |
    `QueryNodeError​(Message message)` |
    `QueryNodeError​(Message message, Throwable throwable)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Message` | `getMessageObject()` |

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryNodeError

          public QueryNodeError​(Message message)

      Parameters:
        `message` - - NLS Message Object

    - #### QueryNodeError

          public QueryNodeError​(Throwable throwable)

      Parameters:
        `throwable` - - @see java.lang.Error

    - #### QueryNodeError

          public QueryNodeError​(Message message,
                                Throwable throwable)

      Parameters:
        `message` - - NLS Message Object
        `throwable` - - @see java.lang.Error

  - ### Method Detail

    - #### getMessageObject

          public Message getMessageObject()

      Specified by:
        `getMessageObject` in interface `NLSException`
      Returns:
        a instance of a class that implements the Message interface